<div class="card shadow mb-4">
    <div class="card-header">
        <button *ngIf="userRole!='Admin'" data-toggle="modal" data-target="#addNewRole" type="button"
            class="btn btn-sm btn-primary" data-backdrop="static" data-keyboard="false"
            (click)="createNewRoleForm()">New Role</button>
        <div class="filters float-right">
            <div class="row">
                <div class="col-sm-12 mb-3 mb-sm-0">
                    <input type="text" (blur)="getEmployees($event.target.value)" class="form-control" name="search"
                        placeholder="Search">
                </div>
            </div>
        </div>
    </div>

    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <thead>
                    <tr>
                        <th>Sr. No</th>
                        <th>Role</th>
                        <th>Description</th>
                        <th>Added by</th>
                        <th>Added On</th>
                        <th *ngIf="userRole!='Admin'">Actions</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let role of roles | paginate: { itemsPerPage: 10, currentPage: p }">
                        <td>{{role.id}}</td>
                        <td>{{role.role}}</td>
                        <td>{{role.description}}</td>
                        <td>{{role.created_by}}</td>
                        <td>{{role.created_on}}</td>
                        <td *ngIf="userRole!='Admin'">
                            <span><a [routerLink]="" data-toggle="modal" data-target="#viewRole"
                                    (click)="viewRole(role)"><i class="fa fa-eye mr-2"
                                        aria-hidden="true"></i></a></span>
                            <span><a [routerLink]="" data-toggle="modal" data-target="#addNewRole"
                                    (click)="editRole(role)"><i class="fa fa-edit mr-2"
                                        aria-hidden="true"></i></a></span>
                            <span>
                                <a mwlConfirmationPopover [popoverTitle]="popoverTitle"
                                    [popoverMessage]="popoverMessage" placement="bottom"
                                    (confirm)="deleteUserRole(role.id)" (cancel)="cancelClicked = true"><i
                                        class="fa fa-trash text-danger mr-2" aria-hidden="true"></i>
                                </a>
                            </span>
                        </td>
                    </tr>
                    <tr *ngIf="roles==''">
                        <td colspan="5" class="text-center">No Record Founds</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="row d-flex justify-content-center">
            <pagination-controls *ngIf="roles!=''" class="my-pagination" (pageChange)="p = $event">
            </pagination-controls>
        </div>
    </div>
</div>


<!-----------Add New Role Form Modal------------------------>
<div id="addNewRole" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title">Add New Role</h6>
                <button #closeBtn type="button" class="close" (click)="closeModal()"
                    data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <form class="user" (submit)="addorEditUserRole()" [formGroup]="NewRoleForm">
                    <div class="form-group row">
                        <div class="col-sm-12 mb-3">
                            <label>New Role Title:</label>
                            <input formControlName="role" type="text" class="form-control form-control-user" id="role">
                            <div *ngIf="submitted && formControls.role.errors" class="errors">
                                <div *ngIf="formControls.role.errors.required">New Role Title is required</div>
                            </div>
                        </div>
                        <div class="col-sm-12 mb-3">
                            <label>Description:</label>
                            <textarea formControlName="description" class="form-control form-control-user"
                                id="description"></textarea>
                            <div *ngIf="submitted && formControls.description.errors" class="errors">
                                <div *ngIf="formControls.description.errors.required">Description required</div>
                            </div>
                        </div>
                    </div>
                    <hr>
                    <div class="form-group row">
                        <div class="col-sm-4 mb-3">
                        </div>
                        <div class="col-sm-4 mb-3">
                            <input type="submit" value="submit" class="btn btn-main btn-user btn-block">
                        </div>
                    </div>

                </form>
            </div>
        </div>

    </div>
</div>

<!-----------View Role Modal------------------------>
<div id="viewRole" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title" *ngIf="selected_role!=''">{{selected_role.role}}</h6>
                <button #closeBtn type="button" class="close" (click)="closeModal()"
                    data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <div class="row" *ngIf="selected_role.description">
                    <p>Description</p>
                    <div class="col-md-12 description">
                        {{selected_role.description}}
                    </div>
                </div>
                <hr>
                <div class="row">
                    <div class="col-md-4">
                        <p>Added By:</p>
                    </div>
                    <div class="col-md-8">
                        {{selected_role.created_by}}
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4">
                        <p>Added On</p>
                    </div>
                    <div class="col-md-8">
                        {{selected_role.created_on}}
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>